agency-time
PATCH /v1/agency/time/projects/{projectId}
Rename, re-assign or archive a project.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X PATCH https://api.zinndigital.com/v1/agency/time/projects/{projectId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
⛔ Archiving hides a project from the pickers; it never deletes it. Time already logged against it stays on the timesheet and on any invoice it reached, because a project is part of how that money was arrived at. Changing `client_id` re-points FUTURE work only — an entry denormalises its client at creation, so hours already logged stay attributed to the client they were done for.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
projectId (path) | string | Sì | — |
Corpo della richiesta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
name | string | No | — |
client_id | string | No | — |
board_id | string | No | — |
currency | string | No | — |
archived | boolean | No | — |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | string | Sì | — |
name | string | Sì | — |
client_id | string | Sì | The agency's client this work is for, in the agency invoicing suite. `null` means **internal** work — reported on, never invoiced. |
board_id | string | Sì | The agency project board this work is run on, when there is one. |
currency | string | Sì | ISO currency this project's work is billed in. On the project because an invoice has exactly one currency; a rate card in another currency is refused rather than converted. |
archived | boolean | Sì | — |
created_at | string | Sì | — |
Errori che questo endpoint può restituire
401 · 403 · 404 · 422